#!/bin/sh

apt-get --no-install-recommends install -y   devscripts

apt-get install -y   build-essential fakeroot   xsltproc   libconfig-general-perl     pkg-config     zip
apt-get install -y   lsb-release

apt-get install -y   autotools-dev cmake   autoconf automake autopoint comerr-dev libtool m4 quilt   bison flex libbison-dev   cdbs debhelper dh-autoreconf   krb5-multidev zlib1g-dev

apt-get --no-install-recommends install -y gawk ncurses-term

apt-get install -y \
  libdrm-dev xserver-xorg-dev \
  x11proto-video-dev x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-core-dev x11proto-fonts-dev \
  x11proto-randr-dev x11proto-render-dev x11proto-dri2-dev xutils-dev

apt-get install -y \
  libdrm-dev \
  x11proto-dri2-dev \
  libx11-dev \
  libxext-dev \
  libxfixes-dev \
  \
  x11proto-gl-dev \
  libxxf86vm-dev \
  libxdamage-dev \
  libxcb-glx0-dev \
  libxcb-dri2-0-dev \
  libx11-xcb-dev

apt-get install -y \
  x11proto-dri3-dev \
  x11proto-present-dev \
  libxcb-dri3-dev \
  libxcb-present-dev \
  libxcb-sync-dev \
  libxshmfence-dev || true

apt-get install -y libwayland-dev || true

apt-get install -y libibus-1.0-dev libsamplerate0-dev libxkbcommon-dev

apt-get install -y \
  libasound2-dev libpulse-dev \
  libudev-dev libxcursor-dev libxi-dev libxinerama-dev \
  libxrandr-dev libxss-dev libxt-dev libxv-dev doxygen

apt-get install -y libsndio-dev || true

apt-get install -y wayland-protocols || true

apt-get install -y graphviz

apt-get install -y libglu1-mesa-dev || true

apt-get install -y libvulkan-dev || true

apt-get install -y --no-install-recommends fcitx-libs-dev

echo OK
